<?xml version='1.0'?>

<xsl:stylesheet version="1.0"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:csc="http://csclub.uwaterloo.ca/xsltproc">

<xsl:template match="positions">
  <xsl:variable name="exec" select="@exec" />
  <xsl:for-each select="csc:position-list('')/position[@exec=$exec]">
    <xsl:sort select="@order" order="ascending" />
    <p>
      <div class="position">
        <a href="mailto:{@position}@csclub.uwaterloo.ca"><xsl:value-of select="@name" /></a>
      </div>
      <xsl:if test="not(holder)">Vacant</xsl:if>
      <xsl:for-each select="holder">
        <xsl:value-of select="@name" /><br />
      </xsl:for-each>
    </p>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
